<!-- 
In this challenge we want to make a simple shopping list example that allows you to dynamically add items to the list using a form input and button. When you add an item to the input and press the button:

The item should appear in the list.
Each item should be given a button that can be pressed to delete that item off the list.
The input should be emptied and focused ready for you to enter another item. 

To complete the exercise, follow the steps below, and make sure that the list behaves as described above.

- To start with, download a copy of our shopping-list.html starting file and make a copy of it somewhere. You'll see that it has some minimal CSS, a div with a label, input, and button, and an empty list and <script> element. You'll be making all your additions inside the script.
- Create three variables that hold references to the list (<ul>), <input>, and <button> elements.
- Create a function that will run in response to the button being clicked.
- Inside the function body, start off by storing the current value of the input element in a variable.
- Next, empty the input element by setting its value to an empty string — ''.
- Create three new elements — a list item (<li>), <span>, and <button>, and store them in variables.
- Append the span and the button as children of the list item.
- Set the text content of the span to the input element value you saved earlier, and the text content of the button to 'Delete'.
- Append the list item as a child of the list.
- Attach an event handler to the delete button so that, when clicked, it will delete the entire list item (<li>...</li>).
- Finally, use the focus() method to focus the input element ready for entering the next shopping list item.

-->

<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Shopping list example</title>
    <style>
      li {
        margin-bottom: 10px;
      }

      li button {
        font-size: 8px;
        margin-left: 20px;
        color: #666;
      }
    </style>
  </head>
  <body>

    <h1>My shopping list</h1>

    <div>
      <label for="item">Enter a new item:</label>
      <input type="text" name="item" id="item">
      <button>Add item</button>
    </div>

    <ul>

    </ul>

    <script>
      const list = document.querySelector('ul');
      const input = document.querySelector('input');
      const button = document.querySelector('button');

      button.addEventListener('click', () => {
        const currentItem = input.value;
        input.value = '';

        const newList = document.createElement('li');
        const span = document.createElement('span');
        const newButton = document.createElement('button');

        newList.appendChild(span);
        span.textContent = currentItem;
        newList.appendChild(newButton);
        newButton.textContent = 'Delete';
        list.appendChild(newList);

        newButton.addEventListener('click', () => {
          list.removeChild(newList);
        });

        input.focus();
      });

    </script>
  </body>
</html>